Bug 60975 - CoreIPC should support sync messages from a secondary thread.
Summary: CoreIPC should support sync messages from a secondary thread.
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2011-05-17 11:17 PDT by Brady Eidson
Modified: 2012-01-09 16:17 PST (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brady Eidson 2011-05-17 11:17:36 PDT
Currently CoreIPC doesn't let you send sync messages from a non-main thread.

It should!

In radar as <rdar://problem/9428034>
Comment 1 Darin Adler 2011-06-04 11:26:38 PDT
It appears that the logic to message to the main thread has made the synchronous keychain functions incompatible with synchronous XMLHttpRequest.
Comment 2 Brady Eidson 2011-06-04 14:39:07 PDT
(In reply to comment #1)
> It appears that the logic to message to the main thread has made the synchronous keychain functions incompatible with synchronous XMLHttpRequest.

That makes sense, and is unfortunate.  Makes resolving this somewhat more important.
Comment 3 Brady Eidson 2011-06-04 14:42:56 PDT
(In reply to comment #2)
> (In reply to comment #1)
> > It appears that the logic to message to the main thread has made the synchronous keychain functions incompatible with synchronous XMLHttpRequest.
> 
> That makes sense, and is unfortunate.  Makes resolving this somewhat more important.

I see you fixed this already with a different runloop mode.  Great!

(It'd still be much better if CoreIPC supported this mode.)
Comment 4 Anders Carlsson 2012-01-09 16:17:12 PST
We're not going to allow this.